package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.RankAwardRecordDTO;
import com.chelvc.cloud.vehicle.api.param.HandRankAwardParam;
import com.chelvc.cloud.vehicle.api.param.QueryRankAwardRecordParam;
import com.chelvc.framework.common.model.Pagination;

public interface RankAwardRecordService {

    Pagination<RankAwardRecordDTO> queryPageList(QueryRankAwardRecordParam param);

    void handOutPrize(HandRankAwardParam param);

    void cityAwardRank();

    void districtAwardRank();
}
