package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @author: igl
 * @date: 2023/8/14 14:18
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AttentionDTO implements Serializable {

  private static final long serialVersionUID = -8364585953806128909L;

  /**
   * 时间戳
   */
  private Long milliseconds;

  /**
   * 用户标识
   */
  private Long targetUserId;
}
