package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @author: igl
 * @date: 2023/8/15 11:47
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AttentionTotalDTO implements Serializable {

  private static final long serialVersionUID = 3582381027065193024L;

  /**
   * 粉丝总数
   */
  private Long fansTotal;

  /**
   * 关注总数
   */
  private Long attentionTotal;

  /**
   * 好友
   */
  private Long friendTotal;
}
