package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class QueryPlatformProfitRatioParam implements Serializable {

    private static final long serialVersionUID = -1491557397318158754L;

    private Long userId;

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;
}
