package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.server.entity.OmsOrder;

import java.math.BigDecimal;

/**
 * 订单Service接口
 * 
 * @author liude
 * @date 2023-11-08
 */
public interface IOmsOrderService  extends IService<OmsOrder>
{
    /**
     * 查询商家上个月的营业额
     * @param merchantId
     * @return
     */
    BigDecimal queryAmountByLastMonth(Long merchantId);
}
